nsd-zonec(8)

NAME

nsd-zonec - NSD zone compiler version 3.2.9.

SYNOPSIS

nsd-zonec [-v] [-h] [-C] [-L] [-F] [-c configfile] [-d directory] [-o origin] [-z zonefile] [-f database]

DESCRIPTION

Zonec is the nsd(8) database compiler for creating name space databases from a set of input master zone files specified in nsd.conf(5) file.

It is normally invoked via nsdc(8) rebuild command. Zonec will then parse every zone in nsd.conf(5) file and add it to the name space database, /var/nsd/db/nsd.db by default, that is used by nsd(8) to answer incoming queries.

OPTIONS

-c configfile
    Read specified configfile instead of the default /etc/nsd.conf.

-C  No config file is read (use with -f, -o and -z).

-d directory
    Change the working directory to directory before doing any work. Overrides zonesdir: option in config file.

-f database
    Create the specified database instead of the file specified as database: in the config file.

-o origin
    Use this as the first origin. Zone information is read from zonefile specified with -z. When reading zones from config file this option is ignored.

-z zonefile
    Reads all zone information from zonefile. If zonefile equals `-`, then all zone information is read from stdin, making constructs like:

    # cat zones* | ./nsd-zonec -C -f nsd.db -o example.net -z -

    possible. When reading zones from config file this option is ignored.

-v  Increase the verbosity of nsd-zonec. This flag can be specified multiple times to increase the level of verbosity. The first level of verbosity will print per zone summary information. The second level of will print progress information for each 10,000 RRs processed.

-F  Set debug facilities. (If compiled with --enable-checking.)

-L  Set debug level. (If compiled with --enable-checking.)

FILES

/var/nsd/db/nsd.db
    default NSD database

/etc/nsd.conf
    default NSD configuration file

DIAGNOSTICS

Zonec will log all the problems via the standard error output and progress via stdout if the v option is specified.

SEE ALSO

nsd(8), nsdc(8), nsd.conf(5), nsd-checkconf(8), nsd-notify(8), nsd-patch(8), nsd-xfer(8)

AUTHORS

NSD was written by NLnet Labs and RIPE NCC joint team. Please see CREDITS file in the distribution for further details.

BUGS

Zonec has rather weak error diagnostics that will change in further versions. Zonec expects the input files to be free of syntax errors and very little fool proof checks are done.